## com.bbn.openmap.tools.beanbox
Interface GenericPropertyEditorInterface

public interface GenericPropertyEditorInterface

An interface implemented by property editors requiring access to the bean whose properties they are editing.

Method Summary
`java.lang.Object` `getTargetBean()` gets the target bean associated with a property editor.
`void` `setTargetBean(java.lang.Object bean)` This method is called by the `GenericPropertySheet`on property editors that implement this interface to set the target bean in them.

Method Detail

### setTargetBean

    public void setTargetBean(java.lang.Object bean)

  This method is called by the `GenericPropertySheet`on property editors that implement this interface to set the target bean in them. An editor implementing this method can use it to cache the target bean.

### getTargetBean

    public java.lang.Object getTargetBean()

  gets the target bean associated with a property editor.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details